
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:211 (message)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      The system is: Linux - 6.8.4-200.fc39.x86_64 - x86_64
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /home/shlomif/bin/cc 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is GNU, found in:
        /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/3.27.7/CompilerIdC/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler: /home/shlomif/bin/c++ 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"
      
      The CXX compiler identification is GNU, found in:
        /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/3.27.7/CompilerIdCXX/a.out
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY"
    cmakeVariables:
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_f1470/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_f1470.dir/build.make CMakeFiles/cmTC_f1470.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY'
        Building C object CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o
        /home/shlomif/bin/cc   -v -o CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/'
         /usr/libexec/gcc/x86_64-redhat-linux/13/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_1a126.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -o /tmp/ccGooVrq.s
        GNU C17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)
        	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7), GMP version 6.2.1, MPFR version 4.2.0-p12, MPC version 1.3.1, isl version isl-0.24-GMP
        
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-redhat-linux/13/include
         /usr/local/include
         /usr/include
        End of search list.
        Compiler executable checksum: e29a759f39551af55ebc173a83d6fd89
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/'
         as -v --64 -o CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o /tmp/ccGooVrq.s
        GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.'
        Linking C executable cmTC_f1470
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_f1470.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -v CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -o cmTC_f1470 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f1470' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f1470.'
         /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/ccg5iLdn.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f1470 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f1470' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f1470.'
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/13/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/gcc/x86_64-redhat-linux/13/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_f1470/fast]
        ignore line: [/usr/bin/gmake  -f CMakeFiles/cmTC_f1470.dir/build.make CMakeFiles/cmTC_f1470.dir/build]
        ignore line: [gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-O4twFY']
        ignore line: [Building C object CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o]
        ignore line: [/home/shlomif/bin/cc   -v -o CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_1a126.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -o /tmp/ccGooVrq.s]
        ignore line: [GNU C17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7)  GMP version 6.2.1  MPFR version 4.2.0-p12  MPC version 1.3.1  isl version isl-0.24-GMP]
        ignore line: []
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: e29a759f39551af55ebc173a83d6fd89]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/']
        ignore line: [ as -v --64 -o CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o /tmp/ccGooVrq.s]
        ignore line: [GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.']
        ignore line: [Linking C executable cmTC_f1470]
        ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_f1470.dir/link.txt --verbose=1]
        ignore line: [/home/shlomif/bin/cc  -v CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -o cmTC_f1470 ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f1470' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f1470.']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/ccg5iLdn.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f1470 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/collect2] ==> ignore
          arg [-plugin] ==> ignore
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so] ==> ignore
          arg [-plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper] ==> ignore
          arg [-plugin-opt=-fresolution=/tmp/ccg5iLdn.res] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_f1470] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/../lib64] ==> dir [/usr/lib/../lib64]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..]
          arg [CMakeFiles/cmTC_f1470.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> [/usr/lib64/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13] ==> [/usr/lib/gcc/x86_64-redhat-linux/13]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/../lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib64/crt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/13;/usr/lib64;/lib64;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW"
    cmakeVariables:
      CMAKE_CXX_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_c470e/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_c470e.dir/build.make CMakeFiles/cmTC_c470e.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW'
        Building CXX object CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o
        /home/shlomif/bin/c++   -v -o CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp
        Using built-in specs.
        COLLECT_GCC=/usr/bin/c++
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/'
         /usr/libexec/gcc/x86_64-redhat-linux/13/cc1plus -quiet -v -D_GNU_SOURCE /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpdir CMakeFiles/cmTC_a5e1e.dir/ -dumpbase CMakeCXXCompilerABI.cpp.cpp -dumpbase-ext .cpp -mtune=generic -march=x86-64 -version -o /tmp/ccqUJbJ2.s
        GNU C++17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)
        	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7), GMP version 6.2.1, MPFR version 4.2.0-p12, MPC version 1.3.1, isl version isl-0.24-GMP
        
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib64/giomm-2.4/include
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward
         /usr/lib/gcc/x86_64-redhat-linux/13/include
         /usr/local/include
         /usr/include
        End of search list.
        Compiler executable checksum: 1597859996ad5af9a6269f983f6a2e78
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/'
         as -v --64 -o CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqUJbJ2.s
        GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:./:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.'
        Linking CXX executable cmTC_c470e
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c470e.dir/link.txt --verbose=1
        /home/shlomif/bin/c++  -v CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_c470e 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/c++
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_c470e' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_c470e.'
         /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/cc4sPOeY.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_c470e /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_c470e' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_c470e.'
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed CXX implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib64/giomm-2.4/include]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib64/giomm-2.4/include] ==> [/usr/lib64/giomm-2.4/include]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13] ==> [/usr/include/c++/13]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux] ==> [/usr/include/c++/13/x86_64-redhat-linux]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward] ==> [/usr/include/c++/13/backward]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/13/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib64/giomm-2.4/include;/usr/include/c++/13;/usr/include/c++/13/x86_64-redhat-linux;/usr/include/c++/13/backward;/usr/lib/gcc/x86_64-redhat-linux/13/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_c470e/fast]
        ignore line: [/usr/bin/gmake  -f CMakeFiles/cmTC_c470e.dir/build.make CMakeFiles/cmTC_c470e.dir/build]
        ignore line: [gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-sSmGCW']
        ignore line: [Building CXX object CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o]
        ignore line: [/home/shlomif/bin/c++   -v -o CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/c++]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/cc1plus -quiet -v -D_GNU_SOURCE /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpdir CMakeFiles/cmTC_a5e1e.dir/ -dumpbase CMakeCXXCompilerABI.cpp.cpp -dumpbase-ext .cpp -mtune=generic -march=x86-64 -version -o /tmp/ccqUJbJ2.s]
        ignore line: [GNU C++17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7)  GMP version 6.2.1  MPFR version 4.2.0-p12  MPC version 1.3.1  isl version isl-0.24-GMP]
        ignore line: []
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib64/giomm-2.4/include]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: 1597859996ad5af9a6269f983f6a2e78]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/']
        ignore line: [ as -v --64 -o CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqUJbJ2.s]
        ignore line: [GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:./:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.']
        ignore line: [Linking CXX executable cmTC_c470e]
        ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c470e.dir/link.txt --verbose=1]
        ignore line: [/home/shlomif/bin/c++  -v CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_c470e ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/c++]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_c470e' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_c470e.']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/cc4sPOeY.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_c470e /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/collect2] ==> ignore
          arg [-plugin] ==> ignore
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so] ==> ignore
          arg [-plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper] ==> ignore
          arg [-plugin-opt=-fresolution=/tmp/cc4sPOeY.res] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_c470e] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/../lib64] ==> dir [/usr/lib/../lib64]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..]
          arg [CMakeFiles/cmTC_c470e.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
          arg [-lstdc++] ==> lib [stdc++]
          arg [-lm] ==> lib [m]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [-lc] ==> lib [c]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> [/usr/lib64/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13] ==> [/usr/lib/gcc/x86_64-redhat-linux/13]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/../lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> [/usr/lib]
        implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
        implicit objs: [/usr/lib64/crt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/13;/usr/lib64;/lib64;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_1"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_1"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_a6942/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_a6942.dir/build.make CMakeFiles/cmTC_a6942.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY'
        Building C object CMakeFiles/cmTC_a6942.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_1  -std=gnu11    -fvisibility=hidden -o CMakeFiles/cmTC_a6942.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY/src.c
        Linking C executable cmTC_a6942
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_a6942.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_a6942.dir/src.c.o -o cmTC_a6942 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-qWdnCY'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_2"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_2"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_871a7/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_871a7.dir/build.make CMakeFiles/cmTC_871a7.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ'
        Building C object CMakeFiles/cmTC_871a7.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_2  -std=gnu11    -march=native -o CMakeFiles/cmTC_871a7.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ/src.c
        Linking C executable cmTC_871a7
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_871a7.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_871a7.dir/src.c.o -o cmTC_871a7 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-7B8lkZ'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_3"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_3"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_4b1b1/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_4b1b1.dir/build.make CMakeFiles/cmTC_4b1b1.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj'
        Building C object CMakeFiles/cmTC_4b1b1.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_3  -std=gnu11    -fomit-frame-pointer -o CMakeFiles/cmTC_4b1b1.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj/src.c
        Linking C executable cmTC_4b1b1
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_4b1b1.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_4b1b1.dir/src.c.o -o cmTC_4b1b1 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-78gtNj'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:308 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_4"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_4"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_04784/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_04784.dir/build.make CMakeFiles/cmTC_04784.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6'
        Building C object CMakeFiles/cmTC_04784.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_4  -std=gnu11    -fwhole-program -o CMakeFiles/cmTC_04784.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6/src.c
        Linking C executable cmTC_04784
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_04784.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_04784.dir/src.c.o -o cmTC_04784 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-L8LgV6'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:250 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for sys/types.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_SYS_TYPES_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_8856f/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_8856f.dir/build.make CMakeFiles/cmTC_8856f.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p'
        Building C object CMakeFiles/cmTC_8856f.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_8856f.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p/CheckIncludeFile.c
        Linking C executable cmTC_8856f
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_8856f.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_8856f.dir/CheckIncludeFile.c.o -o cmTC_8856f 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-nmLi9p'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:251 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for stdint.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_STDINT_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_28a60/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_28a60.dir/build.make CMakeFiles/cmTC_28a60.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b'
        Building C object CMakeFiles/cmTC_28a60.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_28a60.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b/CheckIncludeFile.c
        Linking C executable cmTC_28a60
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_28a60.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_28a60.dir/CheckIncludeFile.c.o -o cmTC_28a60 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-5swt3b'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:252 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for stddef.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_STDDEF_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_5f2cd/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_5f2cd.dir/build.make CMakeFiles/cmTC_5f2cd.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm'
        Building C object CMakeFiles/cmTC_5f2cd.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_5f2cd.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm/CheckIncludeFile.c
        Linking C executable cmTC_5f2cd
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_5f2cd.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_5f2cd.dir/CheckIncludeFile.c.o -o cmTC_5f2cd 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-jZMbHm'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:146 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:271 (__check_type_size_impl)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Check size of int"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_INT_SIZE_IN_BYTES"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_43917/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_43917.dir/build.make CMakeFiles/cmTC_43917.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3'
        Building C object CMakeFiles/cmTC_43917.dir/INT_SIZE_IN_BYTES.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_43917.dir/INT_SIZE_IN_BYTES.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3/INT_SIZE_IN_BYTES.c
        Linking C executable cmTC_43917
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_43917.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_43917.dir/INT_SIZE_IN_BYTES.c.o -o cmTC_43917 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-yKplN3'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:146 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:271 (__check_type_size_impl)"
      - "CMakeLists.txt:283 (CHECK_TYPE_SIZE)"
    checks:
      - "Check size of void*"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_SIZEOF_VOID_P"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_0e98a/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_0e98a.dir/build.make CMakeFiles/cmTC_0e98a.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD'
        Building C object CMakeFiles/cmTC_0e98a.dir/SIZEOF_VOID_P.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_0e98a.dir/SIZEOF_VOID_P.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD/SIZEOF_VOID_P.c
        Linking C executable cmTC_0e98a
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_0e98a.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_0e98a.dir/SIZEOF_VOID_P.c.o -o cmTC_0e98a 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B_with_max_num_played/CMakeFiles/CMakeScratch/TryCompile-S0wVBD'
        
      exitCode: 0
...
